MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024794Open CASCADE[OCCT] OCCT:Codingpublic2014-04-03 17:302014-11-11 12:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024794: Drop unused files Standard_osd_ffi.c and Standard_symlink.c
DescriptionFunctions declared in theses files are used nowhere in OCCT.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028663)
kgv (developer)
2014-04-03 17:31

Please test patch in branch CR24794.
(0028682)
mkv (tester)
2014-04-04 14:11

Dear BugMaster,

Branch CR24794 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 2043815b9934485af376b34884f2be4dcf52405f

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 396202236 / 351923716
Total CPU difference: 51559.179999999884 / 51129.34000000015

Testing on Windows:
Total MEMORY difference: 438511912 / 381130600
Total CPU difference: 37735.453125 / 36914.453125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 11500a85
Timestamp: 2014-04-03 13:30:35
Author: kgv
Committer: apn
Details ] Diff ]
0024794: Drop unused files Standard_osd_ffi.c and Standard_symlink.c
mod - src/Standard/FILES Diff ] File ]
rm - src/Standard/Standard_osd_ffi.c Diff ] File ]
rm - src/Standard/Standard_symlink.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-03 17:30 kgv New Issue
2014-04-03 17:30 kgv Assigned To => kgv
2014-04-03 17:31 kgv Note Added: 0028663
2014-04-03 17:31 kgv Assigned To kgv => bugmaster
2014-04-03 17:31 kgv Status new => resolved
2014-04-03 17:31 kgv Status resolved => reviewed
2014-04-03 18:23 mkv Assigned To bugmaster => mkv
2014-04-04 14:11 mkv Note Added: 0028682
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:30 mkv Test case number => Not needed
2014-04-04 17:30 mkv Assigned To mkv => bugmaster
2014-04-04 17:30 mkv Status reviewed => tested
2014-04-11 14:43 apn Changeset attached => occt master 11500a85
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker